Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermPositionVector

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermFreqVector
          org.apache.lucene.store.instantiated.InstantiatedTermPositionVector

All Implemented Interfaces:
  Serializable, TermFreqVector, TermPositionVector

    public class InstantiatedTermPositionVector

extends InstantiatedTermFreqVector
implements TermPositionVector, Serializable

Extended vector space view of a document in an `InstantiatedIndexReader`.

See Also:
  `TermPositionVector`, Serialized Form

Constructor Summary
`InstantiatedTermPositionVector(InstantiatedDocument document, String field)`

Method Summary
`TermVectorOffsetInfo[]` | `getOffsets(int index)` Returns an array of TermVectorOffsetInfo in which the term is found.
`int[]` | `getTermPositions(int index)` Returns an array of positions in which the term is found.

Methods inherited from class org.apache.lucene.store.instantiated.InstantiatedTermFreqVector
`getField, getTermDocumentInformations, getTermFrequencies, getTerms, indexesOf, indexOf, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.index.TermFreqVector
`getField, getTermFrequencies, getTerms, indexesOf, indexOf, size`

Constructor Detail

### InstantiatedTermPositionVector

    public InstantiatedTermPositionVector(InstantiatedDocument document,
                                          String field)

Method Detail

### getTermPositions

    public int[] getTermPositions(int index)

  Description copied from interface: `TermPositionVector`
  Returns an array of positions in which the term is found. Terms are identified by the index at which its number appears in the term String array obtained from the `indexOf` method. May return null if positions have not been stored.

  Specified by:
    `getTermPositions` in interface `TermPositionVector`

### getOffsets

    public TermVectorOffsetInfo[] getOffsets(int index)

  Description copied from interface: `TermPositionVector`
  Returns an array of TermVectorOffsetInfo in which the term is found. May return null if offsets have not been stored.

  Specified by:
    `getOffsets` in interface `TermPositionVector`
  Parameters:
    `index` - The position in the array to get the offsets from
  Returns:
    An array of TermVectorOffsetInfo objects or the empty list
  See Also:
    `Token`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.